Index: trunk/sources/HeuristicLab.sln
===================================================================
--- trunk/sources/HeuristicLab.sln	(revision 856)
+++ trunk/sources/HeuristicLab.sln	(revision 857)
@@ -137,4 +137,6 @@
 		Release|Any CPU = Release|Any CPU
 		Release|x86 = Release|x86
+		Visualization Debug|Any CPU = Visualization Debug|Any CPU
+		Visualization Debug|x86 = Visualization Debug|x86
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
@@ -147,4 +149,8 @@
 		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Release|x86.ActiveCfg = Release|x86
 		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Release|x86.Build.0 = Release|x86
+		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -155,4 +161,8 @@
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Release|x86.ActiveCfg = Release|x86
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Release|x86.Build.0 = Release|x86
+		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -163,4 +173,8 @@
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Release|x86.ActiveCfg = Release|x86
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Release|x86.Build.0 = Release|x86
+		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Visualization Debug|x86.Build.0 = Debug|x86
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -171,4 +185,7 @@
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Release|x86.ActiveCfg = Release|x86
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Release|x86.Build.0 = Release|x86
+		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Visualization Debug|x86.Build.0 = Debug|x86
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -179,4 +196,7 @@
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Release|x86.ActiveCfg = Release|x86
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Release|x86.Build.0 = Release|x86
+		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Visualization Debug|x86.Build.0 = Debug|x86
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -187,4 +207,8 @@
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Release|x86.ActiveCfg = Release|x86
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Release|x86.Build.0 = Release|x86
+		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Visualization Debug|x86.Build.0 = Debug|x86
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -195,4 +219,7 @@
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x86.ActiveCfg = Release|x86
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x86.Build.0 = Release|x86
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{94186A6A-5176-4402-AE83-886557B53CCA}.Visualization Debug|x86.Build.0 = Debug|x86
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -203,4 +230,7 @@
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Release|x86.ActiveCfg = Release|x86
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Release|x86.Build.0 = Release|x86
+		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Visualization Debug|x86.Build.0 = Debug|x86
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -211,4 +241,7 @@
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Release|x86.ActiveCfg = Release|x86
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Release|x86.Build.0 = Release|x86
+		{B4BE8E53-BA06-4237-9A01-24255F880201}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{B4BE8E53-BA06-4237-9A01-24255F880201}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{B4BE8E53-BA06-4237-9A01-24255F880201}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -219,4 +252,7 @@
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Release|x86.ActiveCfg = Release|x86
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Release|x86.Build.0 = Release|x86
+		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Visualization Debug|x86.Build.0 = Debug|x86
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -227,4 +263,7 @@
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Release|x86.ActiveCfg = Release|x86
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Release|x86.Build.0 = Release|x86
+		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -235,4 +274,7 @@
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Release|x86.ActiveCfg = Release|x86
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Release|x86.Build.0 = Release|x86
+		{F5614C53-153C-4A37-A608-121E1C087F07}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F5614C53-153C-4A37-A608-121E1C087F07}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{F5614C53-153C-4A37-A608-121E1C087F07}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -243,4 +285,7 @@
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Release|x86.ActiveCfg = Release|x86
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Release|x86.Build.0 = Release|x86
+		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -251,4 +296,7 @@
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Release|x86.ActiveCfg = Release|x86
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Release|x86.Build.0 = Release|x86
+		{205898D3-2717-4686-AF17-52409B7EC0C6}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{205898D3-2717-4686-AF17-52409B7EC0C6}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{205898D3-2717-4686-AF17-52409B7EC0C6}.Visualization Debug|x86.Build.0 = Debug|x86
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -259,4 +307,7 @@
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Release|x86.ActiveCfg = Release|x86
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Release|x86.Build.0 = Release|x86
+		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Visualization Debug|x86.Build.0 = Debug|x86
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -267,4 +318,7 @@
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Release|x86.ActiveCfg = Release|x86
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Release|x86.Build.0 = Release|x86
+		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Visualization Debug|x86.Build.0 = Debug|x86
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -275,4 +329,7 @@
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Release|x86.ActiveCfg = Release|x86
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Release|x86.Build.0 = Release|x86
+		{B462D3CC-8866-42F0-9832-AD0967613B72}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{B462D3CC-8866-42F0-9832-AD0967613B72}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{B462D3CC-8866-42F0-9832-AD0967613B72}.Visualization Debug|x86.Build.0 = Debug|x86
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -283,4 +340,7 @@
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Release|x86.ActiveCfg = Release|x86
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Release|x86.Build.0 = Release|x86
+		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Visualization Debug|x86.Build.0 = Debug|x86
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -291,4 +351,7 @@
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Release|x86.ActiveCfg = Release|x86
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Release|x86.Build.0 = Release|x86
+		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Visualization Debug|x86.Build.0 = Debug|x86
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -299,4 +362,7 @@
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Release|x86.ActiveCfg = Release|x86
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Release|x86.Build.0 = Release|x86
+		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Visualization Debug|x86.Build.0 = Debug|x86
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -307,4 +373,8 @@
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Release|x86.ActiveCfg = Release|x86
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Release|x86.Build.0 = Release|x86
+		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Visualization Debug|x86.Build.0 = Debug|x86
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -315,4 +385,7 @@
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Release|x86.ActiveCfg = Release|x86
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Release|x86.Build.0 = Release|x86
+		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -323,4 +396,7 @@
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Release|x86.ActiveCfg = Release|x86
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Release|x86.Build.0 = Release|x86
+		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Visualization Debug|x86.Build.0 = Debug|x86
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -331,4 +407,7 @@
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Release|x86.ActiveCfg = Release|x86
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Release|x86.Build.0 = Release|x86
+		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Visualization Debug|x86.Build.0 = Debug|x86
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -339,4 +418,7 @@
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Release|x86.ActiveCfg = Release|x86
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Release|x86.Build.0 = Release|x86
+		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -347,4 +429,7 @@
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Release|x86.ActiveCfg = Release|x86
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Release|x86.Build.0 = Release|x86
+		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Visualization Debug|x86.Build.0 = Debug|x86
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -355,4 +440,7 @@
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Release|x86.ActiveCfg = Release|x86
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Release|x86.Build.0 = Release|x86
+		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Visualization Debug|x86.Build.0 = Debug|x86
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -363,4 +451,7 @@
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Release|x86.ActiveCfg = Release|x86
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Release|x86.Build.0 = Release|x86
+		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Visualization Debug|x86.Build.0 = Debug|x86
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -371,4 +462,7 @@
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Release|x86.ActiveCfg = Release|x86
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Release|x86.Build.0 = Release|x86
+		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Visualization Debug|x86.Build.0 = Debug|x86
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -379,4 +473,7 @@
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Release|x86.ActiveCfg = Release|x86
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Release|x86.Build.0 = Release|x86
+		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -387,4 +484,7 @@
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Release|x86.ActiveCfg = Release|x86
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Release|x86.Build.0 = Release|x86
+		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Visualization Debug|x86.Build.0 = Debug|x86
 		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -395,4 +495,7 @@
 		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Release|x86.ActiveCfg = Release|x86
 		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Release|x86.Build.0 = Release|x86
+		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{4F9BB789-D561-436B-B226-2BF44B7D0804}.Visualization Debug|x86.Build.0 = Debug|x86
 		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -403,4 +506,7 @@
 		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Release|x86.ActiveCfg = Release|x86
 		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Release|x86.Build.0 = Release|x86
+		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6BC692D4-8843-4945-ACE4-5B41ED55476A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6BC692D4-8843-4945-ACE4-5B41ED55476A}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -411,4 +517,7 @@
 		{6BC692D4-8843-4945-ACE4-5B41ED55476A}.Release|x86.ActiveCfg = Release|x86
 		{6BC692D4-8843-4945-ACE4-5B41ED55476A}.Release|x86.Build.0 = Release|x86
+		{6BC692D4-8843-4945-ACE4-5B41ED55476A}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6BC692D4-8843-4945-ACE4-5B41ED55476A}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{6BC692D4-8843-4945-ACE4-5B41ED55476A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -419,4 +528,7 @@
 		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Release|x86.ActiveCfg = Release|x86
 		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Release|x86.Build.0 = Release|x86
+		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{F05D261A-4F7D-46C9-AB9C-21FD4566D719}.Visualization Debug|x86.Build.0 = Debug|x86
 		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -427,4 +539,7 @@
 		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Release|x86.ActiveCfg = Release|x86
 		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Release|x86.Build.0 = Release|x86
+		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Visualization Debug|x86.Build.0 = Debug|x86
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -435,4 +550,7 @@
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Release|x86.ActiveCfg = Release|x86
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Release|x86.Build.0 = Release|x86
+		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -443,4 +561,7 @@
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Release|x86.ActiveCfg = Release|x86
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Release|x86.Build.0 = Release|x86
+		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Visualization Debug|x86.Build.0 = Debug|x86
 		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -451,4 +572,7 @@
 		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Release|x86.ActiveCfg = Release|x86
 		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Release|x86.Build.0 = Release|x86
+		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Visualization Debug|x86.Build.0 = Debug|x86
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -459,4 +583,7 @@
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Release|x86.ActiveCfg = Release|x86
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Release|x86.Build.0 = Release|x86
+		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -467,4 +594,7 @@
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Release|x86.ActiveCfg = Release|x86
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Release|x86.Build.0 = Release|x86
+		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Visualization Debug|x86.Build.0 = Debug|x86
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -475,4 +605,7 @@
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Release|x86.ActiveCfg = Release|x86
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Release|x86.Build.0 = Release|x86
+		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Visualization Debug|x86.Build.0 = Debug|x86
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -483,4 +616,8 @@
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Release|x86.ActiveCfg = Release|x86
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Release|x86.Build.0 = Release|x86
+		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Visualization Debug|x86.Build.0 = Debug|x86
 		{23117533-8A91-474E-BBF6-C39485D0810A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{23117533-8A91-474E-BBF6-C39485D0810A}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -491,4 +628,8 @@
 		{23117533-8A91-474E-BBF6-C39485D0810A}.Release|x86.ActiveCfg = Release|x86
 		{23117533-8A91-474E-BBF6-C39485D0810A}.Release|x86.Build.0 = Release|x86
+		{23117533-8A91-474E-BBF6-C39485D0810A}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{23117533-8A91-474E-BBF6-C39485D0810A}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{23117533-8A91-474E-BBF6-C39485D0810A}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{23117533-8A91-474E-BBF6-C39485D0810A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -499,4 +640,7 @@
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Release|x86.ActiveCfg = Release|x86
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Release|x86.Build.0 = Release|x86
+		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Visualization Debug|x86.Build.0 = Debug|x86
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -507,4 +651,7 @@
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Release|x86.ActiveCfg = Release|x86
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Release|x86.Build.0 = Release|x86
+		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Visualization Debug|x86.Build.0 = Debug|x86
 		{74223A32-C726-4978-BE78-37113A18373C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{74223A32-C726-4978-BE78-37113A18373C}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -515,4 +662,7 @@
 		{74223A32-C726-4978-BE78-37113A18373C}.Release|x86.ActiveCfg = Release|x86
 		{74223A32-C726-4978-BE78-37113A18373C}.Release|x86.Build.0 = Release|x86
+		{74223A32-C726-4978-BE78-37113A18373C}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{74223A32-C726-4978-BE78-37113A18373C}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{74223A32-C726-4978-BE78-37113A18373C}.Visualization Debug|x86.Build.0 = Debug|x86
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -523,4 +673,7 @@
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Release|x86.ActiveCfg = Release|x86
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Release|x86.Build.0 = Release|x86
+		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -531,4 +684,7 @@
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Release|x86.ActiveCfg = Release|x86
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Release|x86.Build.0 = Release|x86
+		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Visualization Debug|x86.Build.0 = Debug|x86
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -539,4 +695,7 @@
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|x86.ActiveCfg = Release|x86
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|x86.Build.0 = Release|x86
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Visualization Debug|x86.Build.0 = Debug|x86
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -547,4 +706,7 @@
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|x86.ActiveCfg = Release|x86
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|x86.Build.0 = Release|x86
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Visualization Debug|x86.Build.0 = Debug|x86
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -555,4 +717,7 @@
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Release|x86.ActiveCfg = Release|x86
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Release|x86.Build.0 = Release|x86
+		{679E977A-117B-456E-8594-2A4DEADB658B}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{679E977A-117B-456E-8594-2A4DEADB658B}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{679E977A-117B-456E-8594-2A4DEADB658B}.Visualization Debug|x86.Build.0 = Debug|x86
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -563,4 +728,7 @@
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Release|x86.ActiveCfg = Release|x86
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Release|x86.Build.0 = Release|x86
+		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -571,4 +739,7 @@
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|x86.ActiveCfg = Release|x86
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|x86.Build.0 = Release|x86
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -579,4 +750,7 @@
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|x86.ActiveCfg = Release|x86
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|x86.Build.0 = Release|x86
+		{89F4BC52-C174-481E-9BD2-3814171020E8}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{89F4BC52-C174-481E-9BD2-3814171020E8}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{89F4BC52-C174-481E-9BD2-3814171020E8}.Visualization Debug|x86.Build.0 = Debug|x86
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -587,4 +761,7 @@
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|x86.ActiveCfg = Release|x86
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|x86.Build.0 = Release|x86
+		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Visualization Debug|x86.Build.0 = Debug|x86
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -595,4 +772,7 @@
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.Release|x86.ActiveCfg = Release|x86
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.Release|x86.Build.0 = Release|x86
+		{A0821479-801F-43DF-B788-AE92FB410DA9}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{A0821479-801F-43DF-B788-AE92FB410DA9}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{A0821479-801F-43DF-B788-AE92FB410DA9}.Visualization Debug|x86.Build.0 = Debug|x86
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -603,4 +783,7 @@
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|x86.ActiveCfg = Release|x86
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|x86.Build.0 = Release|x86
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Visualization Debug|x86.Build.0 = Debug|x86
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -611,4 +794,7 @@
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x86.ActiveCfg = Release|x86
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x86.Build.0 = Release|x86
+		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Visualization Debug|x86.Build.0 = Debug|x86
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -619,4 +805,7 @@
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|x86.ActiveCfg = Release|x86
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|x86.Build.0 = Release|x86
+		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Visualization Debug|x86.Build.0 = Debug|x86
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -627,4 +816,7 @@
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|x86.ActiveCfg = Release|x86
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|x86.Build.0 = Release|x86
+		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Visualization Debug|x86.Build.0 = Debug|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
